package com.tuoheng.admin.enums.code.report;

/**
 *  生成报告返回码
 *      模块代码：27（报告管理）
 *      接口代码：01 （生成报告）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-09
 */
public enum GenerateReportCodeEnum {

    GENERATE_IS_FAILED(1270100, "生成报告失败"),
    INSPECTION_ID_IS_NULL(1270101, "任务id为空"),
    INSPECTION_IS_NOT_EXIST(1270102, "任务不存在");

    /**
     * 编号
     */
    private int code;

    /**
     * 类型名称
     */
    private String msg;

    GenerateReportCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }


}
